> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topmediai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get VC Voices List

> Gets a list of all available singers for us.



## OpenAPI

````yaml https://api.topmediai.com/topmediai_api.json get /v1/voices
openapi: 3.1.0
info:
  title: Topmediai API Documentation
  description: >-
    This is the documentation for the Topmediai API. You can use this API to use
    our service programmatically, this is done by using your x-api-key. You can
    get your x-api-key by request our Get API Key Web page on
    https://www.topmediai.com/api/text-to-speech-api/. Our API is experimental
    so all endpoints are subject to change.
  version: 1.0.0
servers:
  - url: https://api.topmediai.com
security: []
paths:
  /v1/voices:
    get:
      tags:
        - AI-Voice-Change
      summary: Get VC Voices List
      description: Gets a list of all available singers for us.
      operationId: get_voice_list_v1_voices_get
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIVCVoiceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    APIVCVoiceResponse:
      properties:
        Voices:
          items:
            $ref: '#/components/schemas/VCVoicesSchemas'
          type: array
          title: Voices
          exclude_defaults: true
          exclude_none: true
          exclude_unset: true
      type: object
      title: APIVCVoiceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VCVoicesSchemas:
      properties:
        voice_name:
          type: string
          title: Voice Name
          description: voice name
        voice_id:
          type: integer
          title: Voice Id
        mode:
          type: integer
          title: Mode
      type: object
      required:
        - voice_name
        - voice_id
        - mode
      title: VCVoicesSchemas
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````